import request from '@/utils/request'

// 查询质量月报S3009列表
export function listS3009(query) {
  return request({
    url: '/production/s3009/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S3009详细
export function getS3009(id) {
  return request({
    url: '/production/s3009/' + id,
    method: 'get'
  })
}

// 新增质量月报S3009
export function addS3009(data) {
  return request({
    url: '/production/s3009',
    method: 'post',
    data: data
  })
}

// 修改质量月报S3009
export function updateS3009(data) {
  return request({
    url: '/production/s3009',
    method: 'put',
    data: data
  })
}

// 删除质量月报S3009
export function delS3009(id) {
  return request({
    url: '/production/s3009/' + id,
    method: 'delete'
  })
}

// 导出质量月报S3009
export function exportS3009(query) {
  return request({
    url: '/production/s3009/export',
    method: 'get',
    params: query
  })
}